Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.compatibility.flex.data.messages
Class SequencedMessage

    java.lang.Object
      org.red5.compatibility.flex.messaging.messages.AbstractMessage
          org.red5.compatibility.flex.messaging.messages.AsyncMessage
              org.red5.compatibility.flex.data.messages.SequencedMessage

All Implemented Interfaces:
  Serializable, Message

    public class SequencedMessage

extends AsyncMessage

Response to `DataMessage` requests.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  `DataMessage`, Serialized Form

Field Summary
`String` | `dataMessage`
`long` | `sequenceId`
`Object` | `sequenceProxies`
`long` | `sequenceSize`

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`CORRELATION_ID_BYTES_FLAG, CORRELATION_ID_FLAG, correlationId, correlationIdBytes`

Fields inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`body, clientId, clientIdBytes, destination, headers, messageId, messageIdBytes, timestamp, timeToLive`

Fields inherited from interface org.red5.compatibility.flex.messaging.messages.Message
`DESTINATION_CLIENT_ID_HEADER, ENDPOINT_HEADER, FLEX_CLIENT_ID_HEADER, MESSAGING_VERSION, NEEDS_CONFIG_HEADER, POLL_WAIT_HEADER, PRESERVE_DURABLE_HEADER, REMOTE_CREDENTIALS_HEADER, REMOVE_SUBSCRIPTIONS, SELECTOR_HEADER, SUBSCRIPTION_INVALIDATED_HEADER, SUBTOPIC_SEPARATOR, SYNC_HEADER`

Constructor Summary
`SequencedMessage()`

Method Summary
`protected void` | `addParameters(StringBuilder result)` Add message properties to string.

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage
`getCorrelationId, readExternal, setCorrelationId, writeExternal`

Methods inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage
`getBody, getClientId, getDestination, getHeader, getHeaders, getMessageId, getTimestamp, getTimeToLive, headerExists, readFlags, setBody, setClientId, setDestination, setHeader, setHeaders, setMessageId, setTimestamp, setTimeToLive, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sequenceId

    public long sequenceId

### sequenceProxies

    public Object sequenceProxies

### sequenceSize

    public long sequenceSize

### dataMessage

    public String dataMessage

Constructor Detail

### SequencedMessage

    public SequencedMessage()

Method Detail

### addParameters

    protected void addParameters(StringBuilder result)

  Add message properties to string.

  Overrides:
    `addParameters` in class `AsyncMessage`
  Parameters:
    `result` - `StringBuilder` to add properties to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project